Subject: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Thu, 16 Dec 2021 18:42:21 +0300

On 16.12.2021 18:34, Eli Zaretskii wrote:
>> Date: Thu, 16 Dec 2021 17:15:18 +0200
>> From: Eli Zaretskii<[email-masked]>
>> Cc:[email-masked],[email-masked]
>>
>> Hm, but then I don't understand why using ":weight medium" in
>> set-face-attribute didn't help you to get the font you wanted.  That's
>> the main change of that commit, AFAIU.
>>
>> Maybe try to change the weight first and the family after it?
> Does that font have a 'regular' weight variety?

I'm not sure how to check. But in the font viewer, in the details,
Inconsolata has "Style: Medium", and Inconsolata_dz has "Style: dz".

Most of the others (including InconsolataLGC) have "Regular" in that field.

> If not, I think this
> is a variant of the same issue I fixed in bug#51768: we now request a
> 'regular' weight when a face specifies the family, and a font which
> doesn't have 'regular' is rejected.  So maybe the kludge that I added
> to font.c only for MS-Windows should be in effect on Posix systems as
> well?

If you have a patch, I can test.